#include <bits/stdc++.h>
using namespace std;
#define int long long
signed main(){
    int n, m;
    cin>>n>>m;
    int a[m];
    for(int i = 0; i < m; i++){
        cin>>a[i];
    }
    sort(a, a + m);
    set<int>Set;
    for(int i = 0; i <= m - n; i++){
        int cnt = 1;
        for(int j = i; j < i + n - 1; j++){
            if(a[j] == a[j + 1]){
                cnt++;
            }
        }
        if(cnt == n){
            Set.insert(a[i]);
        }
    }
    cout<<Set.size()<<'\n';
    for(auto&item : Set){
        cout<<item<<' ';
    }
}
